name: widget_preview_scaffold
description: Scaffolding for Flutter Widget Previews
publish_to: "none"
version: 0.0.1

environment:
  sdk: ^3.8.0-265.0.dev

dependencies:
  flutter:
    sdk: flutter
  flutter_test:
    sdk: flutter
  # These will be replaced with proper constraints after the template is hydrated.
  dtd: 4.0.0
  flutter_lints: 6.0.0
  google_fonts: 6.3.2
  json_rpc_2: 3.0.3
  path: 1.9.1
  stack_trace: 1.12.1
  url_launcher: 6.3.2

  async: 2.13.0
  boolean_selector: 2.1.2
  characters: 1.4.0
  clock: 1.1.2
  collection: 1.19.1
  convert: 3.1.2
  crypto: 3.0.6
  fake_async: 1.3.3
  file: 7.0.1
  http: 1.5.0
  http_parser: 4.1.2
  leak_tracker: 11.0.2
  leak_tracker_flutter_testing: 3.0.10
  leak_tracker_testing: 3.0.2
  lints: 6.0.0
  matcher: 0.12.17
  material_color_utilities: 0.11.1
  meta: 1.17.0
  plugin_platform_interface: 2.1.8
  source_span: 1.10.1
  stream_channel: 2.1.4
  string_scanner: 1.4.1
  term_glyph: 1.2.2
  test_api: 0.7.7
  typed_data: 1.4.0
  unified_analytics: 8.0.5
  url_launcher_android: 6.3.23
  url_launcher_ios: 6.3.4
  url_launcher_linux: 3.2.1
  url_launcher_macos: 3.2.3
  url_launcher_platform_interface: 2.3.2
  url_launcher_web: 2.4.1
  url_launcher_windows: 3.1.4
  vector_math: 2.2.0
  vm_service: 15.0.2
  web: 1.1.1
  web_socket: 1.0.1
  web_socket_channel: 3.0.3

dev_dependencies:
  flutter_tools:
    path: ../../../
  test: 1.26.3

flutter:
  uses-material-design: true
# PUBSPEC CHECKSUM: 130obr
